@font-face {
  font-family: 'Funnel Display';
  src: url('../fonts/FunnelDisplay-VariableFont_wght.ttf');
  font-weight: 400 700;
  font-display: swap;
}

:root {
  --body-font: 'Funnel Display';
  --theme-link-color: #5b5ba6;
  --border-radius: 6px;
  --hover: rgba(111, 111, 185, 0.5);
}

* {
  box-sizing: border-box;
}

html {
  font-size: 85%;
  height: 100%;
}

body {
  margin: 0;
  font-family: var(--body-font), sans-serif;
  background-color: #A2A1A12E;
}

h1, h2, h3 {
  color: var(--theme-link-color);
}

h1 {
  margin: 0;
  font-size: 2rem;
}

h2 {
  margin-top: 8px;
  margin-bottom: 5px;
}

a {
  font-weight: 500;
  color: var(--theme-link-color);

  &:visited {
    color: var(--theme-link-color);
  }
}

label {
  text-transform: uppercase;
}

button {
  font-family: var(--body-font) sans-serif;
  text-transform: uppercase;
  border: none;
  color: white;
  font-weight: 700;
  background-color: var(--theme-link-color);
  border-radius: var(--border-radius);
  padding: 8px 12px;
  cursor: pointer;
  display: flex;
  gap: 10px;
  justify-content: center;
  align-items: center;
  fill: var(--white);
  text-decoration: none;

  &:visited {
    color: var(--white);
  }

  i, span {
    color: inherit;
  }

  &:hover {
    background-color: var(--hover);
  }

  &.button-secondary {
    background-color: var(--white);
    color: var(--theme-link-color);

    &:hover {
      background-color: var(--hover);
    }
  }

  &.button-danger {
    color: var(--white);
    background-color: var(--red);

    &:hover {
      background-color: var(--red-light);
    }
  }

}

.flex-horizontal {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.clickable {
  cursor: pointer;
}

.login-header {
  width: 100%;
  display: flex;
  justify-content: center;
  margin-top: 40px;
  margin-bottom: 40px;
}

.login-form {
  width: 300px;
  display: flex;
  flex-direction: column;
  gap: 8px;
  margin-left: auto;
  margin-right: auto;
}

table.striped {
  border-collapse: collapse;
  th {
    padding: 6px;
    text-align: left;
    border-bottom: solid 1px black;
  }
  td {
    padding: 6px;
  }
  tr:nth-child(even) > td {
    background-color: rgba(128, 128, 128, 0.25);
  }
}

table.lined {
  border-collapse: collapse;
  th {
    padding: 6px;
    text-align: left;
    border-bottom: solid 1px black;
  }
  td {
    padding: 6px;
  }
  tr > td {
    border-bottom: solid 1px rgba(128, 128, 128, 0.25);
  }
}

.card {
  border-radius: var(--border-radius);
  padding: 10px 20px 20px;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  margin-bottom: 20px;
  background-color: white;
}

.page-header {
  padding-left: 10px;
  margin-bottom: 20px;
}

.icon-button {
  width: 32px;
  height: 32px;
  background-color: var(--theme-link-color);
  border: none;
  border-radius: var(--border-radius);
  color: white;
  cursor: pointer;
}

input, textarea, select {
  border-radius: var(--border-radius);
  border: var(--border);
  padding: 4px 8px;
  font-size: 1rem;
  font-family: var(--body-font) sans-serif;
  color: var(--black);
  width: 300px;

  &:focus {
    outline: none;
    box-shadow: 0 0 0 2px var(--theme-link-color);
  }

  &:disabled {
    background-color: var(--disabled);
  }

  transition: background-color 0.2s, color 0.2s, border-color 0.2s, box-shadow 0.2s;
}

textarea {
  width: 600px;
  height: 120px;
}

.form-item {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding-bottom: 6px;

  label {
    text-transform: uppercase;
    font-weight: 600;
    padding-bottom: 6px;
    color: #4b4b4b;

    &.required::after {
      content: '*';
    }
  }
}


.dialog-container {
  header {
    margin-bottom: 10px;
  }
  main {
    margin-bottom: 10px;
  }
  footer {
    display: flex;
    justify-content: flex-end;
    gap: 6px;
  }
}

